%define name xtraceroute
%define version 0.8.14
%define prefix %{_prefix}

Summary: Graphical OpenGL version of traceroute
Summary(wa): On grafike traceroute, avou on hynaedje OpenGL 
Name: %{name}
Version: %{version}
Release: 20mdk
Copyright: GPL
Group: Monitoring
Source0: http://www.dtek.chalmers.se/~d3august/xt/dl/%{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
Icon: xtraceroute-logo.xpm
URL: http://www.dtek.chalmers.se/~d3august/xt/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtkglarea-devel traceroute gtk+-devel Mesa-devel
Requires: traceroute

%description
Xtraceroute is a graphical traceroute utility that shows the path your IP
packets travel on a 3 dimensional rendered globe. Be sure to download the NDG
data files mentioned in the INSTALL document too.

%description -l wa
Xtraceroute est ene usteye po vey grafikmint les tchmins ki shvt les pakets
IP tot av l' daegn, k' on pout voere come ene bole  3D rinduwe avou OpenGL.
Prindoz eto les fitchs di donneyes di NDG k' on  djze dins li fitch
INSTALL.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
%makeinstall xtraceroutedatadir=%{?buildroot:%{buildroot}}%{_datadir}/%{name}

install xtraceroute.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
touch $RPM_BUILD_ROOT%{_datadir}/xtraceroute/hosts.cache
touch $RPM_BUILD_ROOT%{_datadir}/xtraceroute/site_hosts.cache
touch $RPM_BUILD_ROOT%{_datadir}/xtraceroute/site_networks.cache

# menu
%{_bindir}/install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
%{_bindir}/install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/menu/

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_datadir}/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.xpm

%find_lang %{name}


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_bindir}/xtraceroute
%{_datadir}/xtraceroute
%{_datadir}/pixmaps/xtraceroute.png
%{_mandir}/man1/xtraceroute.1.bz2
%{_libdir}/menu/%{name}
%{_datadir}/icons/%{name}.xpm
%{_datadir}/icons/mini/%{name}.xpm


%changelog
* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-20mdk
- fix summary

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-19mdk
- add traceroute in BuildRequires

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-18mdk
- rebuild to get the requires

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-17mdk
- use %find_lang

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-16mdk
- automatically added packager tag

* Fri Aug 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-15mdk
- rebuild to remove link against libglide

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.8.14-14mdk
- BM
- Geoffrey Lee <snailtalk@mandrakesoft.com> 
  - tmppath and update_menus and clean_menus macro

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.14-13mdk
- Use makeinstall macros.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-12mdk
- removed gnome menu entry
- added 32x32 icon
- cleanup of specfile
- added requirement on `traceroute', how could we forget it?

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-11mdk
- added icon

* Sun Apr  2 2000 Pixel <pixel@mandrakesoft.com> 0.8.14-10mdk
- rebuild for new libgtkgl

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-9mdk
- menu entry
- new groups

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- BuildRequires gtkglarea.
- Use %|configure.

* Mon Jan 03 2000 John Buswell <johnb@mandrakesoft.com>
- Clean source tree
- Touches site_hosts.cache and site_networks.cache (to quiet them)
- spec file fixes new OpenGL naming of libs (find/remove of Mesa)
- removes illegal instruction error from K6/K6-2/K6-3 processors

* Fri Dec 31 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Removed config.cache from tar archive...
- Make it quiet about hosts.cache / networks.cache
	( touch them ). 

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
  of libMesa*.so stuff)

* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Wed Feb 10 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- First try at an RPM

